.TH LPLOT PUBLIC 
.UC 4
.SH NAME
lplot \- plot filter for Printronix P300 style line printers
.SH SYNOPSIS
.B lplot
[ option ] ...
[ file ]
[ option ] ...
[ file ]  ...
.SH DESCRIPTION
.I Lplot
accepts a plot stream as produced by the plot(3) functions and
generates on the standard output a byte stream which will produce
the plot on a Printronix P300 style line printer using the printer's
"graphics" mode.
No raster file is generated; plot data is sent directly to standard output.
.PP
By default, plots are scaled to an 8 inch square plotting area,
to be consistent in scale with other plot filters.
Arguments are provided to change scaling in one or both directions,
change the area into which the space() (see plot(3)) call maps
user data, change the position of the plot on the page, or rotate
the plot 90 degrees counter clockwise (useful primarily for printers
loaded with 8 1/2 x 11 inch paper).
.PP
.I Lplot
will accept the arguments passed by the Berkeley 4.2BSD printer
spooler for accounting; thus it may be used in /etc/printcap as
the "g" filter on such systems.  No accounting is performed, of
course, if these arguments are not given  Arguments for pixel width and
height are also recognized and used (within compiled-in limits).
.PP
If called as
.I rlplot,
the plot will be rotated 90 degrees counter-clockwise (-r flag) and the
origin will be located at the lower right of the page.
.PP
If no file arguments are given,
.I lplot
reads from the standard input.
If file arguments are given, an argument consisting of the single
character '-' will be replaced by the standard input.
.PP
The P300 printer has a resolution of 60 dots per inch horizontally,
72 dots per inch vertically.
The default 8 inch plot area is thus 480 dots x 576 dots.
The maximum plot area is 780 dots x 792 dots (12 dots are unavailable
when the print head is positioned at the first printable line).
.SH OPTIONS
.IP "-H \fIx\fP" 15n
limit the plot to \fIx\fP dots horizontally (maximum 792).
.IP "-W \fIy\fP" 15n
limit the plot to \fIy\fP dots vertically (maximum 780).
.IP "-s[xy] \fIfactor\fP" 15n
set an overall scale factor.  The plot is magnified by the scale factor
(but may be truncated if the resulting plot area is larger than the
page).  If \fIx\fP or
\fIy\fP is given, the scale factor will be applied in the indicated
direction only.
.IP "-X \fInum\fP" 15n
move the plot right \fInum\fP inches (negative \fInum\fP moves left).
.IP "-Y \fInum\fP" 15n
move the plot up \fInum\fP inches (negative \fInum\fP moves down).
\fIchar\fP
.IP "-e" 15n
force an erase command between plot files
.IP "-N" 15n
suppress erase commands
.IP "-r" 15n
rotate the plot 90 degrees counter-clockwise
.IP "-d num" 15n
set debugging level to
.I num
(debugging is conditionally compiled; this may have no effect).
The most useful setting is '1', which causes
.I quickplot
to print the plot(3) commands as it interprets them, with
arguments scaled to final values.
The plot is still generated.
.IP "-x\fInum\fP" 15n
limit the plot to \fInum\fP dots horizontally (maximum 792).
Included for compatibility with the 4.2BSD line printer spooler.
.IP "-y\fInum\fP" 15n
limit the plot to \fInum\fP dots vertically (maximum 780).
Included for compatibility with the 4.2BSD line printer spooler.
.SH NOTE BENE
.PP
It is permissible to plot outside the 8 inch square, but
data outside the page will be truncated (plotted at the maximum
plot point).
.SH DIAGNOSTICS
\'Bad input data: cmd %o' if an unrecognized plot command is received.
May happen if labels contain newlines, or plot stream files
are corrupted.	Scanning will continue.
Premature EOF while reading data for a command will generate an
appropriate error and the program will quit.
.SH "SEE ALSO"
quickplot(1)
.SH AUTHOR
Duane Hesser (sysad@teltone)
.SH BUGS
Labels are plotted by internal table on an 8 dot wide x 9 dot
high grid (including 2 descenders).  The resulting labels will
generally scale somewhat larger than labels generated by other
plot filters.
Fonts are not available.
.PP
Resolution is poor.
.PP
.I Lplot
attempts to send minimum data to the printer,
by sending bytes only up to the last byte in each row containing
data;  this accomplishes little, however, if the plot is boxed.
(Plotting is slow.)
.PP
There is no way to rotate characters for vertical labeling.
